<?php
require '../conn/conn.php';
require '../conn/function.php';
require 'admin_check.php';
$page=$_GET["page"];
$action=$_GET["action"];
$L_id=intval($_GET["L_id"]);

if($page==""){
  $page=1;
}

if($L_id!=""){
  $aa="edit&L_id=".$L_id;
  $sql="select * from sl_link where L_id=".$L_id;
  $result = mysqli_query($conn, $sql);
  $row = mysqli_fetch_assoc($result);
  if (mysqli_num_rows($result) > 0) {
    $L_title=$row["L_title"];
    $L_order=$row["L_order"];
    $L_url=$row["L_url"];
    $L_pic=$row["L_pic"];
  }
  $title="编辑";
}else{
  $L_order=0;
  $L_pic="nopic.png";
  $aa="add";
  $title="新增";
}


if($action=="add"){
  if($_POST["L_url"]!=""){
    mysqli_query($conn,admin("link_add",$_POST));
    $L_id=getrs("select * from sl_link where L_url='".$_POST["L_url"]."'","L_id");
    die("{\"msg\":\"success\",\"id\":\"".$L_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="edit"){
  $_POST["L_id"]=$L_id;
  if($_POST["L_url"]!=""){
    mysqli_query($conn, admin("link_edit",$_POST));
    die("{\"msg\":\"success\",\"id\":\"".$L_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="delall"){
  $id=$_POST["id"];
  if(count($id)>0) {
    $shu=0 ;
    for ($i=0 ;$i<count($id);$i++) {
      $_POST["L_id"]=$id[$i];
      mysqli_query($conn,admin("link_del",$_POST));
      $shu=$shu+1 ;
      $ids=$ids.$id[$i].",";
    }
    $ids= substr($ids,0,strlen($ids)-1);
    if($shu>0) {
      die("{\"msg\":\"success\",\"ids\":\"".$ids."\"}");
    } else {
      die("{\"msg\":\"删除失败\"}");
    }
  } else {
    die("{\"msg\":\"未选择要删除的内容\"}");
  }
}

$sql="select count(L_id) as L_count from sl_link";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result);
$L_counts=$row["L_count"];
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>友链管理 - 后台管理</title>
<link rel="icon" href="../media/<?php echo $C_ico?>" type="image/ico">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/materialdesignicons.min.css" rel="stylesheet">
<link href="../css/style.min.css" rel="stylesheet">
<script type="text/javascript" src="../upload/upload.js"></script>
<link rel="stylesheet" href="../js/jconfirm/jquery-confirm.min.css">
<style type="text/css">

.showpic{height: 100px;border: solid 1px #DDDDDD;padding: 5px;}
.showpicx{width: 100%;max-width: 500px}
.list-group a{text-decoration:none}
.part{display:inline-block;width:40%;overflow:hidden;text-overflow:ellipsis;white-space: nowrap;}
.pagination{margin: 0px;}
</style>
</head>
  
<body>
<div class="lyear-layout-web">
  <div class="lyear-layout-container">
  <?php require 'nav.php';?>
    <main class="lyear-layout-content">
      
      <div class="container-fluid">
        
        <div class="row">
                
                <div class="col-lg-5">
                  <form id="list">
                  <div class="card card-primary">

                    <div class="card-header">
                      <h4>友链列表</h4>
                    </div>
                        <ul class="list-group">
                          <li class="list-group-item " style="background: #f7f7f7"><div class="part">网站标题</div><div class="part">网站链接</div></li>
                          <?php 
                            $sql="select * from sl_link order by L_id desc limit ".(($page-1)*10).",10";
                                $result = mysqli_query($conn, $sql);
                                if (mysqli_num_rows($result) > 0) {
                                while($row = mysqli_fetch_assoc($result)) {
                                  if($row["L_id"]==$L_id){
                                    $active="active";
                                  }else{
                                    $active="";
                                  }

                                  echo "<a id=\"".$row["L_id"]."\" href=\"?L_id=".$row["L_id"]."&page=$page\" class=\"list-group-item ".$active."\">
                                  <div class=\"part\"><input type=\"checkbox\" name=\"id[]\" value=\"".$row["L_id"]."\"> ".$row["L_order"].".".$row["L_title"]."</div> 
                                  <div class=\"part\">".$row["L_url"]."</div>
                                  
                                  </a>";
                                }
                              }
                          ?>
                          
                        </ul>
                  </div>
                  <label><input type="checkbox" id="selectAll" name="selectAll"> 全选</label>
                  <button class="btn btn-sm btn-danger" type="button" onClick="delall()"><i class="fa fa-times-circle" ></i> 删除所选</button>
                  <a href="link.php" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> 新增友链</a>
                  <ul class="pagination" id="pagination" style="float: right;"></ul>
                  <input type="hidden" id="PageCount" runat="server" />
        <input type="hidden" id="PageSize" runat="server" value="10" />
        <input type="hidden" id="countindex" runat="server" value="10"/>
        <!--设置最多显示的页码数 可以手动设置 默认为7-->
        <input type="hidden" id="visiblePages" runat="server" value="7" />
                </form>
                </div>

                
                <div class="col-lg-7">
                  <form id="form">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4><?php echo $title?>友链</h4>
                    </div>
                    <div class="card-body">

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >友链标题</label>
                          <div class="col-md-9">
                            <input type="text"  name="L_title" class="form-control" value="<?php echo $L_title?>">
                          </div>
                        </div>

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >友链排序</label>
                          <div class="col-md-9">
                            <input type="text"  name="L_order" class="form-control" value="<?php echo $L_order?>" placeholder="数字越小，排序越靠前">
                          </div>
                        </div>


                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >友链网址</label>
                            <div class="col-md-9">
                              <input type="text"  name="L_url" class="form-control" value="<?php echo $L_url?>">
                            </div>
                          </div>

                          <div class="form-group row" id="A_picx">
                          <label class="col-md-3 col-form-label" >友链LOGO</label>
                          <div class="col-md-9">
                            <p><img src="../media/<?php echo $L_pic?>" id="L_picx" class="showpic" onClick="showUpload('L_pic','L_pic','../media',1,null,'','');" alt="<img src='../media/<?php echo $L_pic?>' class='showpicx'>"></p>
                            <div class="input-group">
                              
                                                    <input type="text" id="L_pic" name="L_pic" class="form-control" value="<?php echo $L_pic?>">
                                                    <span class="input-group-btn">
                                                            <button class="btn btn-primary m-b-5 m-t-5" type="button" onClick="showUpload('L_pic','L_pic','../media',1,null,'','');">上传</button>
                                                    </span>
                                            </div>
                            
                          </div>
                        </div>

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" ></label>
                          <div class="col-md-9">
                            <button class="btn btn-info" type="button" onClick="save()"><?php echo $title?></button>
                          </div>
                        </div>
                    </div>
                  </div>
                  </form>
                </div>
              </div>
        
      </div>
      
    </main>
    <!--End 页面主要内容-->
  </div>
</div>

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>

<script src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/lightyear.js"></script>
<script src="../js/jqPaginator.min.js" type="text/javascript"></script>
<script src="../js/help.js" type="text/javascript"></script>
<script src="../js/jconfirm/jquery-confirm.min.js"></script>
<script type="text/javascript">

  function loadData(num) {
            $("#PageCount").val("<?php echo $L_counts?>");
        }
function loadpage(id) {
    var myPageCount = parseInt($("#PageCount").val());
    var myPageSize = parseInt($("#PageSize").val());
    var countindex = myPageCount % myPageSize > 0 ? (myPageCount / myPageSize) + 1 : (myPageCount / myPageSize);
    $("#countindex").val(countindex);

    $.jqPaginator('#pagination', {
        totalPages: parseInt($("#countindex").val()),
        visiblePages: parseInt($("#visiblePages").val()),
        currentPage: id,
        first: '<li class="first page-item"><a href="javascript:;" class="page-link">|<</a></li>',
        prev: '<li class="prev page-item"><a href="javascript:;" class="page-link"><i class="arrow arrow2"></i><</a></li>',
        next: '<li class="next page-item"><a href="javascript:;" class="page-link">><i class="arrow arrow3"></i></a></li>',
        last: '<li class="last page-item"><a href="javascript:;" class="page-link">>|</a></li>',
        page: '<li class="page page-item"><a href="javascript:;" class="page-link">{{page}}</a></li>',
        onPageChange: function (num, type) {
            if (type == "change") {
                window.location="?page="+num;
            }
        }
    });
}
$(function () {
    loadData(<?php echo $page?>);
    loadpage(<?php echo $page?>);

});

    function save(){
      lightyear.loading('show');
        $.ajax({
                url:'?action=<?php echo $aa?>',
                type:'post',
                data:$("#form").serialize(),
                success:function (data) {
	                data=JSON.parse(data);
	                lightyear.loading('hide');
	                if(data.msg=="success"){
	                	lightyear.notify('保存成功', 'success', 100);
	                	setTimeout("window.location.href='?L_id="+data.id+"'", 2000 )
	                }else{
	                  	lightyear.notify(data.msg, 'danger', 100);
	                }
                }
              });
      }

      function delall() {

    $.alert({
        title: '确认删除',
        content: '确认删除？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          $.ajax({
            url: '?action=delall',
            type: 'post',
            data: $("#list").serialize(),
            success: function(data) {
                data = JSON.parse(data);
                if (data.msg == "success") {
                	lightyear.notify('删除成功', 'success', 100);
                    id = data.ids.split(",");
                    for (var i = 0; i < id.length; i++) {
                        $("#" + id[i]).hide();
                    };
                } else {
                	lightyear.notify(data.msg, 'danger', 100);

                }
            }
        });
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });

}

$('input[name="selectAll"]').on("click",function(){
        if($(this).is(':checked')){
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",true);
            });
        }else{
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",false);
            });
        }
    });
  var path=window.location.pathname;
  $("a").each(function(){
    if(path.indexOf($(this).attr("href"))!=-1){
      console.log($(this).attr("href"));
      $(this).parent("li").addClass("active");
      $(this).parent("li").parent("ul").parent("li").addClass("open active");
    }
  });
</script>
</body>
</html>